Bug 1509033 - All Traces helpers are run as commands, even when some of them are not commands.
Summary: All Traces helpers are run as commands, even when some of them are not commands.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: katello-tracer
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL:
Whiteboard:
: 1508951 (view as bug list)
Depends On: 1500536 1531127
Blocks: 1392013
TreeView+ depends on / blocked
 
Reported: 2017-11-02 18:36 UTC by Perry Gagne
Modified: 2020-05-11 15:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
Foreman debug (3.87 MB, application/x-xz)
2017-11-02 18:36 UTC, Perry Gagne
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21572 Normal Closed Katello should send the correct Tracer helpers to RemoteEX 2020-05-11 15:41:43 UTC

Description Perry Gagne 2017-11-02 18:36:19 UTC
Created attachment 1347097 [details]
Foreman debug

Description of problem: Traces has helps that the user can run to resolve the issues it finds. Most of those helps are commands like "systemctl restart <service>" but some of them content sentence to tell the user what to do. For example:

```
You will have to reboot your computer
```

This text will get run as a Remote execution command 


Version-Release number of selected component (if applicable): Sat 6.3.0 


How reproducible: Always


Steps to Reproduce:
1. On a host with traces error navigate to Content Hosts -> select host -> Traces
2. Run a help that contains anything other than a command. For example "please reboot your computer"


Actual results: A Rex command gets run that is successful, but has an error in the output (see BZ 1508951) 


Expected results: Either the user is instructed to manual perform the task, or the remote execution job reboots the computer. 


Additional info:

Comment 2 pm-sat@redhat.com 2017-11-30 21:21:08 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21572 has been resolved.

Comment 3 Patrick Creech 2017-12-04 19:49:38 UTC
Sean,

This didn't cherry-pick cleanly, and I'm not that familiar with the codebase.  Could you do the pick for me?

Thanks,
Patrick

Comment 7 Nikhil Kathole 2018-01-05 07:39:00 UTC
Version tested:
Satellite 6.3 snap 30

1. Navigated to Content Hosts -> select host -> Traces
2. Restart selected where helper having "You will have to reboot your computer"

The remote execution job performs reboot but the job failed due to BZ 1531127.
Adding the dependency of BZ 1531127.

Comment 8 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336

Comment 9 Jonathon Turel 2020-05-11 15:42:47 UTC
*** Bug 1508951 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.